# Class LayeredDigraphVertex`Unindexed`

GoJS® Diagramming Components
version 3.0.7
by Northwoods Software®

#### Hierarchy

- LayoutVertex
  - LayeredDigraphVertex

This holds LayeredDigraphLayout-specific information about Nodes.

This class inherits from LayoutVertex.

#####
Index

### Constructors

constructor

### Accessors

column
component
index
layer
near

#####
Inherited Index

### Accessors

LayoutVertex.bounds
LayoutVertex.centerX
LayoutVertex.centerY
LayoutVertex.data
LayoutVertex.destinationEdges
LayoutVertex.destinationVertexes
LayoutVertex.edges
LayoutVertex.edgesCount
LayoutVertex.focus
LayoutVertex.focusX
LayoutVertex.focusY
LayoutVertex.height
LayoutVertex.network
LayoutVertex.node
LayoutVertex.sourceEdges
LayoutVertex.sourceVertexes
LayoutVertex.vertexes
LayoutVertex.width
LayoutVertex.x
LayoutVertex.y

### Methods

LayoutVertex.commit

## Constructors

### constructor

- new LayeredDigraphVertex(network: LayeredDigraphNetwork): LayeredDigraphVertex

- #### Parameters

  - ##### network: LayeredDigraphNetwork

  #### Returns LayeredDigraphVertex

## Accessors

### column
: number

- Gets or sets the column to which the node is assigned. The default value is -1.

  This property is not used during straightening and packing of nodes when using LayeredDigraphLayout.alignOption.

### component
: number

- Gets or sets the connected component to which the node is assigned. The default value is NaN.

  This property is not used during straightening and packing of nodes when using LayeredDigraphLayout.alignOption.

### index
: number

- Gets or sets the index to which the node is assigned. The default value is -1.

### layer
: number

- Gets or sets the layer to which the node is assigned. The default value is -1.

### near
: LayeredDigraphVertex

- Gets or sets another LayeredDigraphVertex in the same layer that this node should be near. The default value is null.

Copyright © 1998-2024 by Northwoods Software Corporation.